       program hello_kitty_fancy
       implicit none
       
       integer myid,nthreads
       
       nthreads = omp_get_max_threads()
       write(6,*) ' '
       write(6,*) 'nthreads = ',nthreads
       write(6,*) ' '
 
!$OMP PARALLEL private(myid)
       myid = omp_get_thread_num()
       write(6,*) 'Hello Kitty! from ',myid
!$OMP END PARALLEL 

       stop
       end

